# Uses of Interface
jebl.evolution.coalescent.DemographicFunction

Packages that use DemographicFunction
Package
Description
jebl.evolution.coalescent
jebl.evolution.treesimulation

## Uses of DemographicFunction in jebl.evolution.coalescent

Classes in jebl.evolution.coalescent that implement DemographicFunction
Modifier and Type
Class
Description
`class`
`CataclysmicDemographic`
This class models an exponentially growing (or shrinking) population (Parameters: N0=present-day population size; r=growth rate).
`class`
`ConstantPopulation`
This class models coalescent intervals for a constant population (parameter: N0=present-day population size).
`class`
`ConstExponential`
This class models exponential growth from an initial population size.
`class`
`ConstLogistic`
This class models logistic growth from an initial population size.
`class`
`EmpiricalDemographicFunction`
`class`
`Expansion`
This class models exponential growth from an initial ancestral population size.
`class`
`ExponentialGrowth`
This class models an exponentially growing (or shrinking) population (Parameters: N0=present-day population size; r=growth rate).
`class`
`ExponentialLogistic`
This class models logistic growth from an initial exponential phase.
`class`
`LogisticGrowth`
This class models logistic growth.
Methods in jebl.evolution.coalescent with parameters of type DemographicFunction
Modifier and Type
Method
Description
`static final double`
Coalescent.`calculateLogLikelihood(IntervalList intervals, DemographicFunction demographicFunction)`
Calculates the log likelihood of this set of coalescent intervals, given a demographic model.
`static void`
DemographicFunction.Utils.`testConsistency(DemographicFunction demographicFunction, int steps, double maxTime)`
This function tests the consistency of the getIntensity and getInverseIntensity methods of this demographic model.
Constructors in jebl.evolution.coalescent with parameters of type DemographicFunction
Modifier
Constructor
Description
``
`Coalescent(IntervalList intervals, DemographicFunction demographicFunction)`
``
`Coalescent(RootedTree tree, DemographicFunction demographicFunction)`

## Uses of DemographicFunction in jebl.evolution.treesimulation

Constructors in jebl.evolution.treesimulation with parameters of type DemographicFunction
Modifier
Constructor
Description
``
`CoalescentIntervalGenerator(DemographicFunction demographicFunction)`